Get a case
curl --request GET \
--url https://eval-api.trential.dev/partner/v1/cases/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://eval-api.trential.dev/partner/v1/cases/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://eval-api.trential.dev/partner/v1/cases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://eval-api.trential.dev/partner/v1/cases/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://eval-api.trential.dev/partner/v1/cases/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://eval-api.trential.dev/partner/v1/cases/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://eval-api.trential.dev/partner/v1/cases/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"meta": {},
"data": {
"id": "<string>",
"externalId": "<string>",
"caseNumber": 123,
"status": "queued",
"uploads": [
{
"uploadId": "<string>",
"status": "queued",
"classify": true,
"features": [
{
"name": "extraction",
"status": "queued"
}
],
"files": [
{
"fileId": "<string>",
"fileName": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"credentials": [
{
"credentialId": "<string>",
"status": "queued",
"uploadId": "<string>",
"credentialType": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
}{
"statusCode": 123,
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>"
}Cases
Get a case
Returns the case with all uploads and credentials.
GET
/
cases
/
{id}
Get a case
curl --request GET \
--url https://eval-api.trential.dev/partner/v1/cases/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://eval-api.trential.dev/partner/v1/cases/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://eval-api.trential.dev/partner/v1/cases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://eval-api.trential.dev/partner/v1/cases/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://eval-api.trential.dev/partner/v1/cases/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://eval-api.trential.dev/partner/v1/cases/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://eval-api.trential.dev/partner/v1/cases/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"meta": {},
"data": {
"id": "<string>",
"externalId": "<string>",
"caseNumber": 123,
"status": "queued",
"uploads": [
{
"uploadId": "<string>",
"status": "queued",
"classify": true,
"features": [
{
"name": "extraction",
"status": "queued"
}
],
"files": [
{
"fileId": "<string>",
"fileName": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"credentials": [
{
"credentialId": "<string>",
"status": "queued",
"uploadId": "<string>",
"credentialType": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
}{
"statusCode": 123,
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>"
}Authorizations
Partner API key. Also accepted as Authorization: Bearer <key>.
Path Parameters
Identifies the case: its TruEnroll case ID, or the case number (the number shown in TruEnroll and printed on reports). Case numbers are unique across all organizations and lookups are scoped to your own.